Bug 1659128 - [abrt] ibus-typing-booster: _record_in_database_and_push_context(): hunspell_table.py:3107:_record_in_database_and_push_context:IndexError: list index out of range
Summary: [abrt] ibus-typing-booster: _record_in_database_and_push_context(): hunspell_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:231cac223dfeddb7a9bf202eba8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 16:15 UTC by Evan McNabb
Modified: 2018-12-31 01:56 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-2.4.0-1.fc29 ibus-typing-booster-2.4.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-25 03:10:31 UTC


Attachments (Terms of Use)
File: backtrace (685 bytes, text/plain)
2018-12-13 16:15 UTC, Evan McNabb
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-13 16:15 UTC, Evan McNabb
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-13 16:16 UTC, Evan McNabb
no flags Details
File: environ (4.04 KB, text/plain)
2018-12-13 16:16 UTC, Evan McNabb
no flags Details
File: mountinfo (3.26 KB, text/plain)
2018-12-13 16:16 UTC, Evan McNabb
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-13 16:16 UTC, Evan McNabb
no flags Details
File: open_fds (2.10 KB, text/plain)
2018-12-13 16:16 UTC, Evan McNabb
no flags Details
0001-Don-t-try-to-record-the-first-candidate-when-there-i.patch (1.72 KB, patch)
2018-12-17 22:29 UTC, Mike FABIAN
no flags Details | Diff

Description Evan McNabb 2018-12-13 16:15:56 UTC
Version-Release number of selected component:
ibus-typing-booster-2.3.0-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --ibus
crash_function: _record_in_database_and_push_context
exception_type: IndexError
executable:     /usr/share/ibus-typing-booster/engine/main.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.6-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hunspell_table.py:3107:_record_in_database_and_push_context:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 3144, in do_focus_out
    self._record_in_database_and_push_context()
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 3107, in _record_in_database_and_push_context
    first_candidate = self._candidates[0][0]
IndexError: list index out of range

Local variables in innermost frame:
self: <hunspell_table.TypingBoosterEngine object at 0x7f3942350f30 (hunspell_table+TypingBoosterEngine at 0x7f39300114c0)>
commit_phrase: ''
input_phrase: '`'
typed_string: '`'

Comment 1 Evan McNabb 2018-12-13 16:15:58 UTC
Created attachment 1514101 [details]
File: backtrace

Comment 2 Evan McNabb 2018-12-13 16:15:59 UTC
Created attachment 1514102 [details]
File: cgroup

Comment 3 Evan McNabb 2018-12-13 16:16:00 UTC
Created attachment 1514103 [details]
File: cpuinfo

Comment 4 Evan McNabb 2018-12-13 16:16:01 UTC
Created attachment 1514104 [details]
File: environ

Comment 5 Evan McNabb 2018-12-13 16:16:02 UTC
Created attachment 1514105 [details]
File: mountinfo

Comment 6 Evan McNabb 2018-12-13 16:16:03 UTC
Created attachment 1514106 [details]
File: namespaces

Comment 7 Evan McNabb 2018-12-13 16:16:04 UTC
Created attachment 1514107 [details]
File: open_fds

Comment 8 Mike FABIAN 2018-12-17 22:29:42 UTC
Created attachment 1515176 [details]
0001-Don-t-try-to-record-the-first-candidate-when-there-i.patch

Patch to fix the problem.

Comment 9 Fedora Update System 2018-12-20 14:48:10 UTC
ibus-typing-booster-2.4.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bdefe093e

Comment 10 Fedora Update System 2018-12-20 14:48:43 UTC
ibus-typing-booster-2.4.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f948d3369a

Comment 11 Fedora Update System 2018-12-21 05:47:16 UTC
ibus-typing-booster-2.4.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bdefe093e

Comment 12 Fedora Update System 2018-12-21 21:06:09 UTC
ibus-typing-booster-2.4.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f948d3369a

Comment 13 Fedora Update System 2018-12-25 03:10:31 UTC
ibus-typing-booster-2.4.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-12-31 01:56:56 UTC
ibus-typing-booster-2.4.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.